<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Submission;
use Illuminate\Support\Facades\Validator;

class ApiController extends Controller
{
    
    
    public function store(Request $request)
    {
        // print_r($request->all());die;
        $validator = Validator::make($request->all(), [
            'shipper_fleet_owner' => 'required|string',
            'name' => 'required|string',
            'fleet_size' => 'required|integer',
            'usage' => 'required|string',
            'type_of_vehicle' => 'required|string',
            'contact_person_name' => 'required|string',
            'email' => 'required|email',
            'contact_number' => 'required|string',
            'location' => 'required|string',

        ]);

        if ($validator->fails()) {
            return response()->json(['error' => 'Validation Error', 
            'messages' => $validator->errors()], 400);
        }

        // $submission = Submission::create($request->all());
        $submission = new Submission;
        $submission->shipper_fleet_owner = $request['shipper_fleet_owner'];
        $submission->name = $request['name'];
        $submission->fleet_size = $request['fleet_size'];
        $submission->usage = $request['usage'];
        $submission->type_of_vehicle = $request['type_of_vehicle'];
        $submission->contact_person_name = $request['contact_person_name'];
        $submission->email = $request['email'];
        $submission->contact_number = $request['contact_number'];
        $submission->location = $request['location'];
        $submission->save();
        return response()->json([
            'status' => 'success',
            'message' => 'Data submitted successfully',
            'data' => $submission
        ], 200);
    }


    public function fetchdata()
    {
        $data = Submission::all();
        if($data == '' || $data != ''){
            return response()->json([
                'status' => 'success',
                'message' => 'Data Not Fount',
                'error' => '400'
            ], 400);
        } else{
            return response()->json([
                'status' => 'success',
                'message' => 'Data Fetch successfully',
                'error' => '200',
                'data' => $data
            ], 200);
        }
        // return response()->json($data);
    }
    
    public function aa()
    {
$curl = curl_init();

curl_setopt_array($curl, array(
    CURLOPT_URL => "https://api.zeptomail.in/v1.1/email",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_POSTFIELDS => '{
"from": { "address": "noreply@lvpl.in"},
"to": [{"email_address": {"address": "libravaluersitwork@gmail.com","name": "Tejas Dave"}}],
"subject":"Test Email",
"htmlbody":"<div><b> Test email sent successfully. </b></div>",
}',
    CURLOPT_HTTPHEADER => array(
        "accept: application/json",
        "authorization: Zoho-enczapikey PHtE6r0OQOvi3mYq8xAFtKPuR5OjMth9/eIxL1VE5I8XA6cKFk1UotwqxzXiqU0rUPMTFv7Jyd455+uY5u+NLG+4NDseCmqyqK3sx/VYSPOZsbq6x00csVsfd03aXILsetNr0iXRst3dNA==",
        "cache-control: no-cache",
        "content-type: application/json",
    ),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
    echo "cURL Error #:" . $err;
} else {
    echo $response;
}

    }



}
